VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form Form1 
   Caption         =   "howto_monthly_investment"
   ClientHeight    =   3015
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   7365
   LinkTopic       =   "Form1"
   ScaleHeight     =   3015
   ScaleWidth      =   7365
   StartUpPosition =   3  'Windows Default
   Begin MSComctlLib.ListView lvwBalance 
      Height          =   2775
      Left            =   3000
      TabIndex        =   7
      Top             =   120
      Width           =   4215
      _ExtentX        =   7435
      _ExtentY        =   4895
      View            =   3
      LabelWrap       =   -1  'True
      HideSelection   =   -1  'True
      _Version        =   393217
      ForeColor       =   -2147483640
      BackColor       =   -2147483643
      BorderStyle     =   1
      Appearance      =   1
      NumItems        =   3
      BeginProperty ColumnHeader(1) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         Object.Width           =   1270
      EndProperty
      BeginProperty ColumnHeader(2) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         Alignment       =   1
         SubItemIndex    =   1
         Text            =   "Interest"
         Object.Width           =   2540
      EndProperty
      BeginProperty ColumnHeader(3) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         Alignment       =   1
         SubItemIndex    =   2
         Text            =   "Balance"
         Object.Width           =   2540
      EndProperty
   End
   Begin VB.CommandButton cmdGo 
      Caption         =   "Go"
      Default         =   -1  'True
      Height          =   375
      Left            =   1320
      TabIndex        =   6
      Top             =   1320
      Width           =   855
   End
   Begin VB.TextBox txtNumMonths 
      Alignment       =   1  'Right Justify
      Height          =   285
      Left            =   1680
      TabIndex        =   5
      Text            =   "120"
      Top             =   840
      Width           =   1215
   End
   Begin VB.TextBox txtInterestRate 
      Alignment       =   1  'Right Justify
      Height          =   285
      Left            =   1680
      TabIndex        =   3
      Text            =   "7.00%"
      Top             =   480
      Width           =   1215
   End
   Begin VB.TextBox txtMonthlyContribution 
      Alignment       =   1  'Right Justify
      Height          =   285
      Left            =   1680
      TabIndex        =   1
      Text            =   "$100.00"
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "# Months:"
      Height          =   195
      Index           =   2
      Left            =   120
      TabIndex        =   4
      Top             =   840
      Width           =   720
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Interest Rate:"
      Height          =   195
      Index           =   1
      Left            =   120
      TabIndex        =   2
      Top             =   480
      Width           =   960
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Monthly Contribution:"
      Height          =   195
      Index           =   0
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1485
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Calculate the interest compounded monthly.
Private Sub cmdGo_Click()
Dim monthly_contribution As Double
Dim num_months As Integer
Dim interest_rate As Double
Dim balance As Double
Dim i As Integer
Dim new_item As ListItem
Dim interest As Double

    ' Get the parameters.
    monthly_contribution = ParseCurrency(txtMonthlyContribution.Text)
    num_months = Val(txtNumMonths.Text)
    interest_rate = ParsePercent(txtInterestRate.Text) / 12

    ' Calculate.
    lvwBalance.ListItems.Clear
    balance = 0
    For i = 1 To num_months
        ' Display the month.
        Set new_item = lvwBalance.ListItems.Add(Text:=Format$(i))

        ' Display the interest.
        interest = balance * interest_rate
        new_item.ListSubItems.Add Text:=FormatCurrency$(interest)

        ' Add the contribution.
        balance = balance + monthly_contribution

        ' Display the balance.
        balance = balance + interest
        new_item.ListSubItems.Add Text:=FormatCurrency$(balance)
    Next i

    ' Scroll to the last entry.
    lvwBalance.ListItems(lvwBalance.ListItems.Count).EnsureVisible
End Sub

' Size the ListView to fit.
Private Sub Form_Resize()
Dim wid As Single
Dim hgt As Single

    wid = ScaleWidth - lvwBalance.Left - 120
    If wid < 120 Then wid = 120
    hgt = ScaleHeight - 2 * 120
    If hgt < 120 Then hgt = 120
    
    lvwBalance.Move lvwBalance.Left, 120, wid, hgt
End Sub

' Convert a string into a Double value.
Private Function ParseCurrency(ByVal txt As String) As Double
    txt = Replace$(txt, "$", "")
    txt = Replace$(txt, ",", "")
    ParseCurrency = CCur(txt)
End Function

' Convert a string into a percentage value.
Private Function ParsePercent(ByVal txt As String) As Double
    txt = Replace$(txt, "%", "")
    txt = Replace$(txt, ",", "")
    ParsePercent = CCur(txt) / 100
End Function

